Subject: bug#45402: 28.0.50; new completion inconvenience

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Dec 2020 16:36:09 +0200

> From: Michael Albinus <[email-masked]>
> Date: Thu, 24 Dec 2020 09:53:40 +0100
> Cc: [email-masked]
> 
> > My default directory is ~/ and I tyoe C-x C-f /med TAB.
> >
> > It used to give me ~//media/.  Another TAB would give me
> > ~//media/rms/.
> >
> > But now it gives me ~//media and more TABs does not get me any further
> > than that.
> >
> > I think this is related to Tramp, but I don't use Tramp.
> 
> This is Tramp indeed. It knows a new method "media", which is in the way
> now for you. If you enter another "/" after "...media" in your
> minibuffer, TAB will continue to complete as you know.

Really?  I always thought that the leading slash in "/media" causes
Emacs to disregard the "~/" part, and interpret the rest as relative
to "/", the filesystem root?  When I type '/' on my system, Emacs
gives the preceding "~/" part a shadow-y color (and on a TTY places it
in {..}), to show that it is being ignored.

How come Richard gets ~//media instead? he should get /media, without
the leading "~/".  What am I missing?